Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class DescribeJobFlowsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticmapreduce.model.DescribeJobFlowsRequest

    public class DescribeJobFlowsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeJobFlows operation`.

DescribeJobFlows returns a list of job flows that match all of the supplied parameters. The parameters can include a list of job flow IDs, job flow states, and restrictions on job flow creation date and time.

Regardless of supplied parameters, only job flows created within the last two months are returned.

If no parameters are supplied, then job flows matching either the following criteria are returned:

- Job flows created and completed in the last two weeks.
- Job flows created within the last two months that are in one of the following states: `RUNNING` , `WAITING` , `SHUTTING_DOWN` , `STARTING` .

Amazon Elastic MapReduce can return a maximum of 512 job flow descriptions.

See Also:
  `AmazonElasticMapReduce.describeJobFlows(DescribeJobFlowsRequest)`

Constructor Summary
`DescribeJobFlowsRequest()`

Method Summary
`Date` | `getCreatedAfter()` Return only job flows created after this date and time.
`Date` | `getCreatedBefore()` Return only job flows created before this date and time.
`List<String>` | `getJobFlowIds()` Return only job flows whose job flow ID is contained in this list.
`List<String>` | `getJobFlowStates()` Return only job flows whose state is contained in this list.
`void` | `setCreatedAfter(Date createdAfter)` Return only job flows created after this date and time.
`void` | `setCreatedBefore(Date createdBefore)` Return only job flows created before this date and time.
`void` | `setJobFlowIds(Collection<String> jobFlowIds)` Return only job flows whose job flow ID is contained in this list.
`void` | `setJobFlowStates(Collection<String> jobFlowStates)` Return only job flows whose state is contained in this list.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeJobFlowsRequest` | `withCreatedAfter(Date createdAfter)` Return only job flows created after this date and time.
`DescribeJobFlowsRequest` | `withCreatedBefore(Date createdBefore)` Return only job flows created before this date and time.
`DescribeJobFlowsRequest` | `withJobFlowIds(Collection<String> jobFlowIds)` Return only job flows whose job flow ID is contained in this list.
`DescribeJobFlowsRequest` | `withJobFlowIds(String... jobFlowIds)` Return only job flows whose job flow ID is contained in this list.
`DescribeJobFlowsRequest` | `withJobFlowStates(Collection<String> jobFlowStates)` Return only job flows whose state is contained in this list.
`DescribeJobFlowsRequest` | `withJobFlowStates(String... jobFlowStates)` Return only job flows whose state is contained in this list.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeJobFlowsRequest

    public DescribeJobFlowsRequest()

Method Detail

### getCreatedAfter

    public Date getCreatedAfter()

  Return only job flows created after this date and time.

  Returns:
    Return only job flows created after this date and time.

### setCreatedAfter

    public void setCreatedAfter(Date createdAfter)

  Return only job flows created after this date and time.

  Parameters:
    `createdAfter` - Return only job flows created after this date and time.

### withCreatedAfter

    public DescribeJobFlowsRequest withCreatedAfter(Date createdAfter)

  Return only job flows created after this date and time.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdAfter` - Return only job flows created after this date and time.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreatedBefore

    public Date getCreatedBefore()

  Return only job flows created before this date and time.

  Returns:
    Return only job flows created before this date and time.

### setCreatedBefore

    public void setCreatedBefore(Date createdBefore)

  Return only job flows created before this date and time.

  Parameters:
    `createdBefore` - Return only job flows created before this date and time.

### withCreatedBefore

    public DescribeJobFlowsRequest withCreatedBefore(Date createdBefore)

  Return only job flows created before this date and time.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdBefore` - Return only job flows created before this date and time.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getJobFlowIds

    public List<String> getJobFlowIds()

  Return only job flows whose job flow ID is contained in this list.

  Returns:
    Return only job flows whose job flow ID is contained in this list.

### setJobFlowIds

    public void setJobFlowIds(Collection<String> jobFlowIds)

  Return only job flows whose job flow ID is contained in this list.

  Parameters:
    `jobFlowIds` - Return only job flows whose job flow ID is contained in this list.

### withJobFlowIds

    public DescribeJobFlowsRequest withJobFlowIds(String... jobFlowIds)

  Return only job flows whose job flow ID is contained in this list.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowIds` - Return only job flows whose job flow ID is contained in this list.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withJobFlowIds

    public DescribeJobFlowsRequest withJobFlowIds(Collection<String> jobFlowIds)

  Return only job flows whose job flow ID is contained in this list.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowIds` - Return only job flows whose job flow ID is contained in this list.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getJobFlowStates

    public List<String> getJobFlowStates()

  Return only job flows whose state is contained in this list.

  Returns:
    Return only job flows whose state is contained in this list.

### setJobFlowStates

    public void setJobFlowStates(Collection<String> jobFlowStates)

  Return only job flows whose state is contained in this list.

  Parameters:
    `jobFlowStates` - Return only job flows whose state is contained in this list.

### withJobFlowStates

    public DescribeJobFlowsRequest withJobFlowStates(String... jobFlowStates)

  Return only job flows whose state is contained in this list.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowStates` - Return only job flows whose state is contained in this list.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withJobFlowStates

    public DescribeJobFlowsRequest withJobFlowStates(Collection<String> jobFlowStates)

  Return only job flows whose state is contained in this list.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowStates` - Return only job flows whose state is contained in this list.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.